// mouse.h
// Einfache Klasse als Mouseinterface
// Die Klasse unterstuezt zur Zeit nur die fuer 
// Dialogboxen benoetigten Funkionen
//
// Update: 1.00 29-Apr-93
      
#ifndef _MOUSE_H      
#define _MOUSE_H      
      
const int MouseDrvInterrupt = 51;
const int MouseDrvBtnPressed = 1;      
      
class Mouse
{     
private:
   static int  m_cInstances;
   int         m_xLastPressed;
   int         m_yLastPressed;
               
public:               
   enum MouseDrvFunctions 
   {
      Init = 0,
      CursorShow = 1,
      CursorHide = 2,
      GetState   = 3,
   };
   
public: 
   Mouse();  
   ~Mouse();
   
   void ShowCursor( const int MouseDrvCursorStatus ) const;
   BOOL ButtonPressed();
   void WaitForBtnRelease() const;
   
   int XLastPressed() const { return m_xLastPressed; }
   int YLastPressed() const { return m_yLastPressed; }

};

#endif // MOUSE_H