// main.cpp
// 
// Beispielprogramm zur Nuzuung der Dialogbox-Klasse
// getestet mit ms vc++ 1.0
//
// ACHTUNG ! Das Beispiel verwendet einen Windows-font
//           und erwartet diesem im Verzeichnis
//           c:\windows\system. Befindet sich der font
//           dort nicht, kann der verwendete Font/Pfad
//           in der Datei dlgbox.cpp geaendert werden.
//
// update: 1.00 29-Apr-93 tw

#include <graph.h>
#include <dos.h>
#include <afxcoll.h>  
#include <malloc.h>
#include "dlgbox.h"
#include "dlgbox.inl"
#include "mouse.h"
   
#include "sample.h"   
   
#pragma warning ( disable: 4135 )                 
                
void main ( int argc, char * argv[] )
{
   _setvideomode( _MAXRESMODE );

   point2dGK dlgPos, dlgSize;
   short dlgID = IDD_DIALOG;
   dlgPos.x = X_DLG;
   dlgPos.y = Y_DLG;   
   dlgSize.x = CX_DLG;
   dlgSize.y = CY_DLG;

   XDialogBox dlg( dlgPos, dlgSize, dlgID, "Hello world", DialogProc );

   const char * pszFnt = ( argc>=2 ) ? argv[1] : 0;

   if ( ! dlg.Create( pszFnt ) )
   {  
      _setvideomode( _DEFAULTMODE );
      exit ( printf( "Aus dem Speicher"));
   }
     
   DefineDialog( dlg, dlgPos );  
   
   if ( dlg.DoModal() )    // OK pressed
   {
     _setvideomode( _DEFAULTMODE );
     
      printf("IDC_CHECK1 ist %s\n",  dlg.GetDlgItemCheckState( IDC_CHECK1, IDC_CHECKBOX1 ) ? "an" : "aus");
      printf("IDC_RADIO1 ist %s\n",  dlg.GetDlgItemCheckState( IDC_RADIO1, IDC_RADIOBOX1 ) ? "an" : "aus");  
      
   }
   else
     _setvideomode( _DEFAULTMODE );
}


BOOL DialogProc( XButton * /*pButtonPressed*/, XDialogBox * /*pDialogCurrent*/ )
{
   // callback - marke semi-sdk   
   return FALSE;
}

void DefineDialog( XDialogBox& dlg, point2dGK dlgPos )
{
   point2dGK pnt;
   pnt.x = dlgPos.x + 20;
   pnt.y = dlgPos.y + dlg.FontYSize()*2;        
   XButton * pButton = new XPushButton( pnt, IDC_PUSH, "Push" );
   dlg.AddItem( pButton ); 
   
   point2dGK pnt2 = pnt;
   pnt2.x += pButton->Length();
   pnt2.x += dlg.FontXSize();
   dlg.AddItem( new XPushButton( pnt2, IDOK, "OK" ));
   pnt2.x += pButton->Length();
   dlg.AddItem( new XPushButton( pnt2, IDCANCEL, "Abbrechen" ));
   
   pnt.y += dlg.FontYSize()*2;   
   XGroupBox * pGroup = new XGroupBox( pnt, IDC_CHECKBOX1, "Gruppe1" );
   pnt.x += dlg.TxtBorderXSize();   
   pnt.y += ( dlg.TxtBorderYSize() + dlg.FontYSize() );
   pGroup->AddButton( new XCheckButton( pnt, IDC_CHECK1, "Check1", FALSE ));
   pnt.y += ( dlg.TxtBorderYSize() + dlg.FontYSize() );
   pGroup->AddButton( new XCheckButton( pnt, IDC_CHECK2, "Check2 (lang)", FALSE ));
   pnt.y += ( dlg.TxtBorderYSize() + dlg.FontYSize() );
   pGroup->AddButton( new XCheckButton( pnt, IDC_CHECK3, "Check3", FALSE ));
   pnt.x -= dlg.TxtBorderXSize();
   
   dlg.AddItem( pGroup );
   
   pnt.y += (dlg.FontYSize()*2);
   dlg.AddItem( new XRadioButton( pnt, IDC_SINGLERADIO, "Radio", FALSE ));
   pnt.y += (dlg.FontYSize()*2);
   dlg.AddItem( new XUpArrowButton( pnt, IDC_ARROWUP ));
   pnt.x += (dlg.FontXSize()*3);
   dlg.AddItem( new XStatic( pnt, IDC_STATIC,  "Ein statischer Text" ));

   pnt.x += pGroup->Length();
   pnt.x += dlg.FontXSize();
   pnt.y =  dlgPos.y + dlg.FontYSize()*2;      
   pnt.y += dlg.FontYSize()*2;   
   pGroup = new XRadioBox( pnt, IDC_RADIOBOX1, "Radio" );
   pnt.x += dlg.TxtBorderXSize();   
   pnt.y += ( dlg.TxtBorderYSize() + dlg.FontYSize() );
   pGroup->AddButton( new XRadioButton( pnt, IDC_RADIO1, "Radio 1", FALSE ));
   pnt.y += ( dlg.TxtBorderYSize() + dlg.FontYSize() );
   pGroup->AddButton( new XRadioButton( pnt, IDC_RADIO2, "Radio2 (lang)", FALSE ));
   pnt.y += ( dlg.TxtBorderYSize() + dlg.FontYSize() );
   pGroup->AddButton( new XRadioButton( pnt, IDC_RADIO3, "Radio3", FALSE ));
   pnt.x -= dlg.TxtBorderXSize();
   
   dlg.AddItem( pGroup );
   

}
