(* ====================================================== *)
(*                       REIHE.PAS                        *)
(*            Teilsumme der harmonischen Reihe            *)
(*   Aufruf mit 3 Parametern:                             *)
(*     1. Startwert der Teilsumme                         *)
(*     2. Endwert der Teilsumme                           *)
(*     3. Name einer Datei fr die Abspeicherung des      *)
(*        Ergebnisses                                     *)
(* ====================================================== *)
{$A-,B+,D+,E+,F-,G+,I-,L+,N+,O-,P-,Q-,R-,S-,T-,V+,X+,Y+}
{$M 16384,0,655360}

PROGRAM Reihe;

USES Dos;

VAR
  Start_Wert : LongInt;
  End_Wert   : LongInt;
  Index      : LongInt;
  Summe      : Double;
  Konvert    : STRING;
  Code       : INTEGER;

  Botschaft  : FILE OF Double;    { Datei fr Ergebnis     }
  Name       : STRING [12];

BEGIN
  IF ParamCount <> 3 THEN Halt;   { Fehler beim Aufruf     }
  Summe := 0;

  Val(ParamStr(1), Start_Wert, Code);
  Val(ParamStr(2), End_Wert,   Code);

  FOR Index := Start_Wert TO End_Wert DO BEGIN
    Summe := Summe + 1 / Index;
    IF Index MOD 100000 = 0 THEN
      WriteLn(Index);             { Zwischenwerte ausgeben }
  END;

  Name := ParamStr(3);
  Assign(Botschaft, Name);
  Rewrite(Botschaft);
  Write(Botschaft, Summe);
  Close(Botschaft);

  WriteLn('Ln(N)', Ln(End_Wert));
  WriteLn('Summe = ', Summe); ReadLn;
END.
(* ====================================================== *)
(*                Ende von REIHE.PAS                      *)

