/* ====================================================== */
/*                      MKIMAGE.CPP                       */
/*           (C) 1993 Thomas Wlfer & toolbox             */
/* Demo zur Herstellung eines mit Playit abspielbaren     */
/* Bilds (vernderter Auszug aus dem _getimage()-Sample   */
/*                     von VC++ 1.0)                      */
/*         Compiler: Microsoft Visual C++ 1.0             */
/* ====================================================== */

#include "playit.h"

#include <fcntl.h>
#include <sys\types.h>
#include <sys\stat.h>
#include <io.h>
#include <conio.h> 
#include <stdio.h>
#include <stddef.h>
#include <stdlib.h>
#include <malloc.h>
#include <graph.h>

void main(void)
{
  char  __huge *buffer;
  short x, y;

  _setvideomode(_MAXRESMODE);
  IMAGEHEADER ih;
  ih.cbImageSize = (size_t)_imagesize(-16, -16, +16, +16);

  // fr dieses Beispiel soll es reichen.
  // In einer echten Anwendung mte man sich mehr Mhe
  // geben, die Bildinformation zu speichern und zu ver-
  // arbeiten
  if(ih.cbImageSize > 64000)
  {
    _setvideomode(_DEFAULTMODE);
    exit(printf("Bild ist zu gro ..."));
  }
  buffer = (char __huge *)_halloc(ih.cbImageSize,
                                  sizeof(char));
  if (buffer == (char __far *) NULL)
  {
    _setvideomode(_DEFAULTMODE);
    exit(printf("zu wenig Speicher"));
  }
  _setcolor(3);
  x = 50;
  y = 70;
  _ellipse(_GFILLINTERIOR, x - 15, y - 15, x + 15, y + 15);
  _getimage(x - 16, y - 16, x + 16, y + 16, buffer);
  if(_grstatus())
  {
    _setvideomode(_DEFAULTMODE);
    _hfree(buffer);
    exit(printf("Fehler in getimage()"));
  }
  _getvideoconfig( &ih.vc );
  // Image-Datei ffnen. Fr dieses Beispiel
  // einfach immer image.img

  int fh = _open("image.img", _O_WRONLY | _O_BINARY
                            | _O_CREAT);
  if(fh == -1)
  {
    _setvideomode(_DEFAULTMODE);
    _hfree(buffer);
    exit(printf("Fehler beim ffnen von image.img"));
  }
  write(fh, (void*)&ih, sizeof(IMAGEHEADER));
  write(fh, (void*)buffer, (unsigned int) ih.cbImageSize);
  _close(fh);
  _hfree(buffer);
  _setvideomode(_DEFAULTMODE);
  printf("done");
}

/* ====================================================== */
/*                   Ende von MKIMAGE.CPP                 */
