/* ====================================================== */
/*                       PLAYIT.CPP                       */
/*               Quellcode des Image-Players              */
/*            (C) 1993 Thomas Wlfer & toolbox            */
/*           Compiler: Microsoft Visual C++ 1.0           */
/* ====================================================== */

#include "playit.h"
          
#include <fcntl.h>
#include <sys\types.h>
#include <sys\stat.h>
#include <io.h>
#include <conio.h> 
#include <stdio.h>
#include <stddef.h>
#include <stdlib.h>
#include <malloc.h>
#include <graph.h>
           
PATCHINFO pi = { "PATCHAREA_____", 0L };
           
void main(int argc, char ** argv)
{
  // der Pfad auf das Exe-Files wird in argv[0] bergeben;
  // allerdings erst ab Dos 3.3, ansonsten geht halt nichts

  // falls argv[1] == ?, Informationen ber das Bild
  // ausgeben und aufhren ...
   if (argc > 1)
   {
     exit(printf("name:%s\n"
                 "Gre des Players:%ld\n"
                 "Gre des Bilds:%ld\n"
                 "Videomode des Bilds:%u",
                 argv[0],
                 pi.cbPlayer,
                 pi.ih.cbImageSize,
                 pi.ih.vc.mode));
   }

   // sicherstellen, da wir bereits gepatched sind ...
   if (pi.cbPlayer == 0L)
     exit(printf(
          "Diese Kopie von Player enthlt kein bild..."));

   // ffnen der Datei (d.h. von uns selbst).
   // Anhand der globalen Variable ih, die vom
   // Patch-Programm geschrieben wurde, ist sowohl der
   // Offset bekannt, bei dem das Bild anfngt
   // als auch die Gre des Bilds und
   // der Videmodus, in dem das Bild abgelegt wurde ...
   int fh = _open(argv[0], _O_BINARY | _O_RDONLY);
   if (fh == -1)
     exit(printf("Fehler beim ffnen von %s", argv[0]));
   // Speicher fr Bild allozieren
   char __huge *buffer =
     (char __huge *)_halloc( pi.ih.cbImageSize,
     sizeof(char));
   if (buffer == (char __far *)NULL)
      exit(printf(
           "Zu wenig Speicher um das Bild auszugeben"));

   // Bild aus uns selbst in allozierten Speicher einlesen
   // Das Bild beginnt ab Offset cbPlayer...
   _lseek(fh, pi.cbPlayer, SEEK_SET);
   _read(fh, (void*)buffer,
             (unsigned int)pi.ih.cbImageSize);
   _close(fh);

   // Versuch in den bentigten Videomodus zu schalten
   if (! _setvideomode(pi.ih.vc.mode))
     exit(printf("Videomodus des Bilds auf diesem \
Adapter nicht untersttzt."));

   _putimage(1, 1, buffer, _GPSET); // Bild ausgeben
   _hfree(buffer);                 // Speicher freigeben
   getch();                        // auf Tastendruck warten
   _setvideomode(_DEFAULTMODE);    // und Ende ....

}

/* ====================================================== */
/*                    Ende von PLAYIT.CPP                 */
