/* ====================================================== */
/*                       PLAYIT.H                         */
/*          (C) 1993 Thomas Wlfer & toolbox              */
/* Header fr das Playit-Project: selbstextrahierende     */
/*        Dateien und Patchen von Executables             */
/*   Diese Datei enthlt die Datenstrukturen, die sowohl  */
/*    der Player als auch das Patch-Programm bentigen.   */
/*          Compiler: Microsoft Visual C++ 1.0            */
/* ====================================================== */

#ifndef _INC_PLAYIT_H
#define _INC_PLAYIT_H

#include <graph.h>

typedef struct tagIMAGEHEADER
{
  long cbImageSize;  // Gre des Bilds
 _videoconfig vc;    // Information ber die Videoconfigu-
                     // ration in der das Bild erzeugt wurde
} IMAGEHEADER;

typedef struct tagPATCHINFO
{
  char szPatchAreaIdentifier[15];
  long cbPlayer;
  IMAGEHEADER ih;
} PATCHINFO;

const char szFindPatchAreaString[15] = "PATCHAREA_____";

#endif // _INC_PLAYIT_H

/* ====================================================== */
/*                   Ende von PLAYIT.H                    */
