(* ====================================================== *)
(*                       RSTRSEND.PAS                     *)
(*            (c) 1993 Peter M. Abuja & toolbox           *)
(* ====================================================== *)
PROGRAM RSTRSend;

USES WinTypes, WinProcs,
{$IFNDEF Ver70}
WObjects,
{$ELSE}
oWindows,
{$ENDIF}
RAMStm, TestDlg;

CONST
  AppName  = 'RSTRSend';
  Receiver = 'RSTRRECV.EXE';

TYPE
  tSendApp = OBJECT (tApplication)
    PROCEDURE InitInstance;                         VIRTUAL;
    PROCEDURE InitMainWindow;                       VIRTUAL;
  END;

  PROCEDURE tSendApp.InitInstance;
  BEGIN
    tApplication.InitInstance;
    IF hPrevInst > 0 THEN BEGIN
      MessageBeep(0);
      PostQuitMessage(0);
    END ELSE BEGIN
      IF WinExec(Receiver, sw_ShowNormal) <= 32 THEN BEGIN
        MessageBox(0, 'Could not load program',
                   Receiver, mb_OK OR mb_IconStop);
        PostQuitMessage(-1);
      END;
    END;
  END;

  PROCEDURE tSendApp.InitMainWindow;
  BEGIN
    MainWindow := New(pTestDlg, Init(NIL, 'SEND_DLG'));
  END;

VAR
  TheApp : tSendApp;

BEGIN
  TheApp.Init(AppName);
  TheApp.Run;
  TheApp.Done;
END.
(* ====================================================== *)
(*                 Ende von RSTRSEND.PAS                  *)

