(* ====================================================== *)
(*                        FEIGE.PAS                       *)
(*       Copyright (C) 1991, 1993, 1994 toolbox           *)
(*         Compiler: Turbo/Borland Pascal 7.0             *)
(* ====================================================== *)
{$A+,B-,D-,E+,F-,G-,I-,L-,N+,O-,P-,Q-,R-,S-,T-,V-,X+,Y-}
{$M 16384,0,655360}

PROGRAM Feige;

USES
  Crt, Dos, Graph;

CONST
  Steigung : DOUBLE = 2.9;        (* kann gendert werden *)
  EndR              = 4.0;
  StartX            = 0.0;
  EndX              = 1.0;

VAR
  GraphDriver, GraphMode  : INTEGER;
  sr, ir, ix, ax, x       : Double;
  MaxX, MaxY, test        : INTEGER;
  XPos, YPos, i           : WORD;
  ch                      : CHAR;
  BackGrdColor, PaintColor: BYTE;

BEGIN
  IF ParamCount > 0 THEN BEGIN
    Val(ParamStr(1), Steigung, test);
    IF (Steigung < -EndR) OR (Steigung > EndR) OR
       (test <> 0) THEN Steigung := 2.9;
  END;
  DetectGraph(GraphDriver, GraphMode);
  InitGraph(GraphDriver, GraphMode, GetEnv('BGIPATH'));
  IF GraphResult = 0 THEN BEGIN
    MaxX := GetMaxX + 1;
    MaxY := GetMaxY + 1;
    IF GraphDriver = HercMono THEN SetBkColor(Black)
                              ELSE SetBkColor(Blue);
    PaintColor := GetMaxColor;
    ClearViewPort;
    ir := (EndR - Steigung) / MaxX;
    ix := (EndX - StartX  ) / MaxY;
    ax := StartX + ir;
    REPEAT
      sr := Steigung + ir;
      REPEAT
        x := ax;
        FOR i := 1 TO 102 DO BEGIN
          x := sr * (x - (x * x));
          IF i > 98 THEN BEGIN
           XPos := Round(((1 / (EndR-Steigung)) *
                         (sr-Steigung)) * MaxX);
           YPos := Round(MaxY - x * MaxY);
           PutPixel(XPos, YPos, PaintColor);
          END;
        END;
        sr := sr + ir;
      UNTIL (sr > EndR) OR Keypressed;
    UNTIL (ax > EndX)   OR Keypressed;
    ch := ReadKey;
    CloseGraph;
  END ELSE Write('Grafik-Initialisierungsfehler!');
END.

(* ====================================================== *)
(*                  Ende von FEIGE.PAS                    *)

