(* ====================================================== *)
(*                        TAPETE.PAS                      *)
(*              Copyright (C) 1993 toolbox                *)
(*          Compiler: Turbo/Borland Pascal 7.0            *)
(* ====================================================== *)
{$A+,B-,D-,E+,F-,G-,I-,L-,N+,O-,P-,Q-,R-,S-,T-,V-,X+,Y-}
{$M 16384,0,655360}

PROGRAM Tapete;

USES
  Dos, Crt, Graph;

VAR
  XMin, YMin    : INTEGER;
  Resolution    : INTEGER;
  x, y          : WORD;
  i, j          : Double;
  MaxX,  MaxY   : WORD;
  GraphDriver,
  GraphMode     : INTEGER;

BEGIN
  Write('Faktor fr die Auflsung: ');
  ReadLn(Resolution);
  DetectGraph(GraphDriver, GraphMode);
  IF GraphDriver = CGA THEN GraphMode := 1;
  InitGraph (GraphDriver, GraphMode, GetEnv('BGIPATH'));
  MaxX := GetMaxX + 1; XMin := - MaxX DIV 10;
  MaxY := GetMaxY + 1; YMin := - MaxY DIV 12;
  FOR x := 1 TO MaxX DO BEGIN
    i := XMin + Resolution * x / MaxX;
    FOR y := 1 TO MaxY DO BEGIN
      j := YMin + Resolution * y  / MaxY;
      PutPixel(x, y, Trunc(i * i + j * j) MOD GetMaxColor + 1);
    END;
  END;
  Write(^G);
  ReadKey;
  CloseGraph;
END.

(* ====================================================== *)
(*                  Ende von TAPETE.PAS                   *)
