(* ====================================================== *)
(*                      DIVERSES.PAS                      *)
(*     (c) 1993 Jeanette Winzenburg & toolbox             *)
(* ====================================================== *)
UNIT Diverses;

INTERFACE

USES Dos;

  PROCEDURE FileErased(Name: PathStr);
    { Datei lschen }
  FUNCTION FileExists(Name: PathStr): BOOLEAN;
    { Result = True falls Datei existiert }
  PROCEDURE CutExt(VAR FileName: PathStr; VAR Ext: ExtStr);
    { Dateiname in Ext und Rest auftrennen  }
  FUNCTION LoCase(Ch: CHAR): CHAR;
    { Gegenstck zu UpCase }

IMPLEMENTATION

{ **** Dateifunktionen ***** }

  FUNCTION FileExists(Name: PathStr): BOOLEAN;
  VAR
    SR : SearchRec;
  BEGIN
    FindFirst(Name, 0, SR);
    FileExists := (DosError = 0);
  END;

  PROCEDURE FileErased(Name: PathStr);
  VAR
    F : FILE;
  BEGIN
    IF FileExists(Name) THEN BEGIN
      Assign(F, Name);
      Erase(F);
    END;
  END;

  PROCEDURE CutExt(VAR FileName: PathStr; VAR Ext: ExtStr);
  VAR
    Dir  : DirStr;
    Name : NameStr;
  BEGIN
    FSplit(FileName, Dir, Name, Ext);
    FileName := Dir + Name;
  END;

  { ****** Stringfunktionen ******* }

  FUNCTION LoCase(Ch: CHAR): CHAR;
  BEGIN
    LoCase := Ch;
    IF (Ch >= 'A') AND (Ch <= 'Z') THEN
      LoCase := CHAR(Ord(Ch) + (Ord('a')-Ord('A')));
  END;

END.
(* ====================================================== *)
(*                 Ende von DIVERSES.PAS                  *)

