(* ====================================================== *)
(*                       FONTDEMO.PAS                     *)
(*   Untersttzung von VGA (8x16) oder EGA (8x14) Fonts   *)
(*          (c) 1993 Torsten Schubert & toolbox           *)
(* ====================================================== *)
PROGRAM FontDemo;

USES Dos, Graph, VGAFont;

VAR
  grDriver : INTEGER;
  grMode   : INTEGER;
  TS       : VGAFont.TextSettingsType;

BEGIN
  DetectGraph(grDriver, grMode); (* Grafik initialisieren *)
  VGAFont.InitGraph(grDriver, grMode, GetEnv('BGIPATH'));
  IF GraphResult = grOk THEN BEGIN
    SetBkColor(LightGray);
    ClearDevice;
    SetColor(Blue);
    VGAFont.OutText(10, 10,
                  'Das ist ein Test der neuen Textroutine');
    VGAFont.GetTextSettings(TS);
    TS.Style := tsKursive;
    VGAFont.SetTextStyle(TS);
    VGAFont.OutText(10, 30, 'Jetzt geht es auch kursiv');
    TS.Font  := Pix8x8Font;
    VGAFont.SetTextStyle(TS);
    VGAFont.OutText(220, 34, ', auch mit 8x8.');
    TS.Font  := Pix8x14Font;
    TS.Style := tsOutline;
    TS.OC    := White;
    VGAFont.SetTextStyle(TS);
    VGAFont.OutText(10, 50, 'Font 8x14 Outline.');
    TS.Font  := Pix8x16Font;
    TS.Style := tsOutline + tsKursive;
    VGAFont.SetTextStyle(TS);
    VGAFont.OutText(10, 70,
                    'Font 8x16 Outline und Kursive.');
    TS.Style := tsBold;
    VGAFont.SetTextStyle(TS);
    VGAFont.OutText(10, 90, 'Font 8x16 Fett ');
    TS.Style := tsUnderline;
    VGAFont.SetTextStyle(TS);
    VGAFont.OutText(130, 90, 'oder Unterstrichen.');
    TS.Style := tsBold + tsKursive;
    VGAFont.SetTextStyle(TS);
    VGAFont.OutText(10, 110, 'Font 8x16 Fett ');
    TS.Style := tsUnderline + tsKursive;
    VGAFont.SetTextStyle(TS);
    VGAFont.OutText(130, 110,
                    'oder Unterstrichen und kursiv');
    TS.Style := tsNormal;
    VGAFont.SetTextStyle(TS);
    VGAFont.OutText(10, 130,
                    'Die erste Zeile ist normale Schrift, '+
                    'die nchste Proportionalschrift ');
    TS.Style := tsPro;
    VGAFont.SetTextStyle(TS);
    VGAFont.OutText(10, 150,
                    'Die erste Zeile ist normale Schrift, '+
                    'die nchste Proportionalschrift ');
    ReadLn;
    CloseGraph;
  END ELSE
    WriteLn('Grafikfehler!');
END.
(* ====================================================== *)
(*                  Ende von FONTDEMO.PAS                 *)
