(* ====================================================== *)
(*                     CTL3D.PAS                          *)
(*            For use with CTL3D.DLL from Microsoft       *)
(* ====================================================== *)
UNIT Ctl3D;

INTERFACE

USES WinTypes;

CONST
  Ctl3d_Buttons      = $0001;
  Ctl3d_Listboxes    = $0002;
  Ctl3d_Edits        = $0004;
  Ctl3d_Combos       = $0008;
  Ctl3d_StaticTexts  = $0010;
  Ctl3d_StaticFrames = $0020;
  Ctl3d_All          = $FFFF;

  WM_DLGBORDER       = WM_USER+3567;
  WM_DLGSUBCLASS     = WM_USER+3568;

  CTL3D_NOBORDER     = 0;
  CTL3D_BORDER       = 1;
  CTL3D_NOSUBCLASS   = 0;
  CTL3D_SUBCLASS     = 1;

  FUNCTION Ctl3dGetVer : WORD;
  FUNCTION Ctl3dSubclassDlg(HWindow : HWnd;
                            WhatControls : WORD) : BOOL;
  FUNCTION Ctl3dSubclassCtl(HWindow : HWnd) : BOOL;
  FUNCTION Ctl3dCtlColor(DC : HDC;
                         Color : tColorRef) : HBrush;
    { ARCHAIC, use Ctl3dCtlColorEx }
  FUNCTION Ctl3dEnabled : BOOL;
  FUNCTION Ctl3dColorChange : BOOL;
  FUNCTION Ctl3dDlgFramePaint(Wnd : HWnd; Msg,wParam : WORD;
                              lParam : LongInt) : LongInt;
  FUNCTION Ctl3dRegister(Instance : tHandle) : BOOL;
  FUNCTION Ctl3dUnregister(Instance : tHandle) : BOOL;
  FUNCTION Ctl3dAutoSubclass(Instance : tHandle) : BOOL;
  FUNCTION Ctl3dCtlColorEx(Message, wParam : WORD;
                           lParam : LongInt) : HBrush;

IMPLEMENTATION

  FUNCTION Ctl3dGetVer;        EXTERNAL 'Ctl3d';
  FUNCTION Ctl3dSubclassDlg;   EXTERNAL 'Ctl3d';
  FUNCTION Ctl3dSubclassCtl;   EXTERNAL 'Ctl3d';
  FUNCTION Ctl3dCtlColor;      EXTERNAL 'Ctl3d';

  FUNCTION Ctl3dDlgFramePaint; EXTERNAL 'Ctl3d';
  FUNCTION Ctl3dEnabled;       EXTERNAL 'Ctl3d';
  FUNCTION Ctl3dColorChange;   EXTERNAL 'Ctl3d';
  FUNCTION Ctl3dRegister;      EXTERNAL 'Ctl3d';
  FUNCTION Ctl3dUnregister;    EXTERNAL 'Ctl3d';
  FUNCTION Ctl3dAutoSubclass;  EXTERNAL 'Ctl3d';
  FUNCTION Ctl3dCtlColorEx;    EXTERNAL 'Ctl3d';

END.
(* ====================================================== *)
(*               Ende von CTL3D.PAS                       *)
