/* ====================================================== */
/*              XREN.CPP Version 1.0 Release 1.1          */
/*              (C) 1993 Jrg Braun & DMV-Verlag          */
/*  Hauptdatei. Es werden die C++-Bibliotheken verwendet  */
/* ------------------------------------------------------ */
/*               Compiler: Borland C++ 3.x                */
/* ====================================================== */
#define cplusplus

#include <string.h>     /* strcpy, strlen, strchr, strstr */
#include <dos.h>        /* _doserrno                      */
#include <dir.h>        /* findfirst                      */

#include "..\include\xren.h"

unsigned int main(int argc, char *argv[])
{
  int            i, length;
  struct   ffblk sr;
  char           Source[79], Target[79];
  unsigned int   doserr;
  unsigned char  mainversion;

  doserr = NOERROR;
  asm mov ax, 0x3000;              /* DOS-Versionsabfrage */
  asm int 0x21;
  asm mov mainversion, al;         /* Hauptversionsnummer */

  if (mainversion < 3)
    doserr = DosMessage(WRONGDOS, "", "");
  else
  {
    if (argc < 3) doserr = DosMessage(PARAMERROR, "", "");
    else
    {
      strcpy(Source, argv[1]);
      strcpy(Target, argv[2]);
      length = strlen(Source);
      if (length > 0)
        for (i = 0; i < length; i++)
          if ((Source[i] >= 'a') & (Source[i] <= 'z'))
            Source[i] -= 32;

      length = strlen(Target);
      if (length > 0)
        for (i = 0; i < length; i++)
          if ((Target[i] >= 'a') & (Target[i] <= 'z'))
            Target[i] -= 32;

      if (((strchr(Source, '*'))  != 0)  |
          ((strchr(Source, '?'))  != 0)  |
          ((strchr(Target, '*'))  != 0)  |
          ((strchr(Target, '?'))  != 0)  |
          ((strstr(Source, "/H")) != 0)  |
          ((strstr(Target, "/H")) != 0))
         doserr = DosMessage(PARAMERROR, "", "");
      else
      {
        if (strcmp(Source, Target) == 0)
          doserr = DosMessage(SAMENAMES, Source, Target);
        else
        {
          findfirst(Source, &sr, 0x37);
          if (_doserrno == NOERROR)
            doserr = DosMessage(XRename(Source, Target),
                       Source, Target);
          else
            doserr = DosMessage(NOTFOUND, Source, "");
        }
      }
    }
  }
  return(doserr);
}

/*========================================================*/
/*                   Ende von XREN.CPP                    */
